Bug 336381 - Mvox Minivox MV100 usb speaker/mic does not work in fedora
Mvox Minivox MV100 usb speaker/mic does not work in fedora
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 12:34 EDT by Sony K. Philip
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 04:16:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sony K. Philip 2007-10-17 12:34:33 EDT
Description of problem:
Minivox mv100 USB speakerphone/mic 
does not detect properly.

Version-Release number of selected 
component (if applicable):
kernel-2.6.22.9-91_1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Plug device into USB port
2. dmesg output gives:
 usb 1-1: new full speed USB device 
using uhci_hcd and address 5
Oct 17 21:59:55 xena kernel: usb 1-1: 
configuration #1 chosen from 1 choice
Oct 17 21:59:55 xena kernel: invalid 
SELECTOR UNIT descriptor 7
Oct 17 21:59:55 xena kernel: snd-usb-
audio: probe of 1-1:1.0 failed with 
error -5
Oct 17 21:59:55 xena kernel: usbcore: 
registered new interface driver snd-
usb-audio


  
Actual results:
Device is not detected.

Expected results:
Device should be detected by ALSA


Additional info:
Patch to sound/usb/usbmixer.c 

1486c1486,1487
< if (! num_ins || desc[0] < 6 + 
num_ins) {
---
> /* the magic number is '5'. */
> if (! num_ins || desc[0] < 5 + 
num_ins) {

may fix the problem as reported at 
https://bugs.launchpad.net/ubuntu/
+source/alsa-lib/+bug/26683
Comment 1 Sony K. Philip 2007-11-16 04:16:05 EST
It works in Fedora8 now! Thanks a lot.:-)

Note You need to log in before you can comment on or make changes to this bug.